#pragma once

#include "CoreMinimal.h"
#include "Engine/DeveloperSettings.h"
#include "XeSSSettings.generated.h"

UCLASS(Blueprintable)
class UXeSSSettings : public UDeveloperSettings
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bEnableXeSSInEditorViewports;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString DebugDataDumpPath;

public:
	UXeSSSettings();
};

FORCEINLINE uint32 GetTypeHash(const UXeSSSettings) { return 0; }
